Skip to main content
Resource Center/Resource Pool/Affinity Group Operations
GETAffinity Group OperationsSince 4.0.0SynchronousAuth Required

GetCandidateAffinityGroupForAttachingVm

GetCandidateAffinityGroupForAttachingVm

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • vmUuidStringRequired

    The VM UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    For more information, see inventories.

Endpoint

GET/zstack/v1/affinityGroup/attachingVm

/zstack/v1/affinityGroup/attachingVm

Operation ID

GetCandidateAffinityGroupForAttachingVm

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/affinityGroup/attachingVm?vmUuid=<vmUuid>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "06a212ca4cce3986ae05f3912fb3bd7d", "name": "affinity-group-test", "description": "affinity group for test", "policy": "ANTISOFT", "version": "1.0", "type": "HOST" } ] }

Change History

This API has no change history records yet.

View all change history